Bug 1650671

Summary: Tuned tool does not support Boot Loader Specification
Product: [Fedora] Fedora Reporter: Pat Riehecky <riehecky>
Component: tunedAssignee: Jaroslav Škarvada <jskarvad>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jskarvad, olysonek, pknirsch
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-03-29 19:44:17 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Pat Riehecky 2018-11-16 19:36:38 UTC
Description of problem:
The Tuned tool does not support Boot Loader Specification (BLS), which is enabled by default. Consequently, Tuned does not set certain kernel boot command line parameters, which causes some issues, such as performance decrease or CPU cores not being isolated. 

Version-Release number of selected component (if applicable):
tuned-2.10.0-5.fc29

How reproducible:
100%

Steps to Reproduce:
1.Configure grub2 to use BLS (/etc/default/grub -> GRUB_ENABLE_BLSCFG=true)
2.Activate tuned profile
3.

Actual results:
Settings are not applied

Expected results:
Settings applied

Additional info:
See also BZ#1576435

Comment 1 Ondřej Lysoněk 2018-11-19 09:42:48 UTC
It's being worked on.

Comment 2 Jaroslav Škarvada 2019-03-29 19:44:17 UTC
It's supported in tuned-2.11, so closing.